> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Energy Account Detail

> Obtain detailed information for a specific energy account



## OpenAPI

````yaml /openapi/cdr.yml get /v1/energy/customer/{customerId}/accounts/{accountId}
openapi: 3.0.3
info:
  description: Fiskil Data Holder as a Service (DHaaS) endpoints for the Energy sector
  title: Fiskil Data APIs
  version: 1.5.0
servers:
  - url: https://api.provider.fiskil.com
security:
  - bearerAuth: []
paths:
  /v1/energy/customer/{customerId}/accounts/{accountId}:
    get:
      tags:
        - Energy
        - Accounts
      summary: Get Energy Account Detail
      description: Obtain detailed information for a specific energy account
      operationId: getAccount
      parameters:
        - $ref: '#/components/parameters/customerId'
        - $ref: '#/components/parameters/accountId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnergyAccountDetailResponseV3'
          description: Details for the requested account
        '404':
          $ref: '#/components/responses/responseErrorCustomerIdNotFound'
components:
  parameters:
    customerId:
      description: >-
        Unique ID of a customer. This ID must not change for the lifecycle of
        the customer
      explode: false
      in: path
      name: customerId
      required: true
      schema:
        type: string
      style: simple
    accountId:
      description: ID of a specific account to obtain data for.
      explode: false
      in: path
      name: accountId
      required: true
      schema:
        type: string
      style: simple
  schemas:
    EnergyAccountDetailResponseV3:
      example:
        data:
          accountId: 019a08ff-90b2-71b3-9704-2f5dc6647e49
          accountNumber: '0123456789'
          displayName: Resi Single Rate
          openStatus: OPEN
          creationDate: '2025-01-01T00:00:00.000Z'
          plans:
            - nickname: Resi Single Rate
              servicePointIds:
                - '4123456789'
              planOverview:
                displayName: Resi Single Rate
                startDate: '2025-01-01T00:00:00.000Z'
              planDetail:
                fuelType: ELECTRICITY
                isContingentPlan: false
                meteringCharges:
                  - displayName: standard metering charge
                    description: Basic fee for metering
                    minimumValue: '0.20'
                    period: P3M
                electricityContract:
                  additionalFeeInformation: A fee applies for missed payments
                  pricingModel: SINGLE_RATE
                  timeZone: LOCAL
                  isFixed: true
                  variation: >-
                    We may vary the rates for your electricity consumption with
                    30 days notice
                  paymentOption:
                    - PAPER_BILL
                    - CREDIT_CARD
                    - DIRECT_DEBIT
                    - BPAY
                  intrinsicGreenPower:
                    greenPercentage: '0.7'
                  controlledLoad:
                    - displayName: Basic Controlled Load Appliance
                      rateBlockUType: singleRate
                      startDate: '2025-01-01T00:00:00.000Z'
                      singleRate:
                        displayName: Single Appliance
                        description: Controlled load rate for a single appliance
                        dailySupplyCharge: '0.75'
                        rates:
                          - unitPrice: '0.332'
                            measureUnit: KWH
                  incentives:
                    - displayName: Cashbacks
                      description: Sign up bonus
                      category: ACCOUNT_CREDIT
                      eligibility: >-
                        If you sign up before 2025-02-01 you will get $100 cash
                        back as credit on your bill
                  discounts:
                    - displayName: Pay on time
                      description: Pay on time to get 1% off your bill
                      type: CONDITIONAL
                      category: PAY_ON_TIME
                      endDate: string
                      methodUType: percentOfBill
                      percentOfBill:
                        rate: '0.1'
                  eligibility:
                    - type: NEW_CUSTOMER
                      information: >-
                        You must not have been a customer within the last 24
                        monthsr
                      description: Only new customers are eligible for cashback incentives
                  fees:
                    - type: LATE_PAYMENT
                      term: PERCENT_OF_BILL
                      rate: '0.05'
                      description: A 0.05% fee applies if your bill is not paid on time.
                  solarFeedInTariff:
                    - displayName: Single rate Solar FiT
                      description: Single Rate Solar feed-in tariff
                      startDate: '2025-01-01T00:00:00.000Z'
                      scheme: PREMIUM
                      payerType: RETAILERT
                      tariffUType: singleTariff
                      singleTariff:
                        rates:
                          - unitPrice: '0.054'
                            measureUnit: KWH
                  tariffPeriod:
                    - type: RETAIL_SERVICE
                      displayName: Single Rate
                      startDate: '2025-01-01T00:00:00.000Z'
                      dailySupplyCharges: '0.64'
                      timeZone: LOCAL
                      rateBlockUType: singleRate
                      singleRate:
                        displayName: string
                        description: string
                        generalUnitPrice: string
                        rates:
                          - unitPrice: '0.342'
                            measureUnit: KWH
              authorisedContacts:
                - firstName: Peter
                  lastName: Sherman
                  prefix: Dr
      properties:
        data:
          $ref: '#/components/schemas/EnergyAccountDetailV3'
      required:
        - data
      type: object
    EnergyAccountDetailV3:
      allOf:
        - $ref: '#/components/schemas/EnergyAccountBaseV2'
        - $ref: '#/components/schemas/EnergyAccountDetailV3_allOf'
    GenericError:
      example:
        error: An error message
      type: object
      properties:
        error:
          type: string
          description: A message describing what caused the error
      required:
        - error
    EnergyAccountBaseV2:
      properties:
        accountId:
          description: >-
            The ID of the account.  To be created in accordance with CDR ID
            permanence requirements
          type: string
        accountNumber:
          description: >-
            Optional identifier of the account as defined by the data holder. 
            This must be the value presented on physical statements (if it
            exists) and must not be used for the value of accountId
          type: string
        displayName:
          description: >-
            An optional display name for the account if one exists or can be
            derived.  The content of this field is at the discretion of the data
            holder
          type: string
        openStatus:
          default: OPEN
          description: >-
            Open or closed status for the account. If not present then OPEN is
            assumed
          enum:
            - CLOSED
            - OPEN
          type: string
        creationDate:
          description: >-
            The date that the account was created or opened. Mandatory if
            openStatus is OPEN
          type: string
          x-cds-type: DateString
      required:
        - accountId
      type: object
      x-conditional:
        - creationDate
    EnergyAccountDetailV3_allOf:
      properties:
        plans:
          description: >-
            The array of plans containing service points and associated plan
            details.
          items:
            $ref: '#/components/schemas/EnergyAccountDetailV3_allOf_plans'
          type: array
      required:
        - plans
      type: object
    EnergyAccountDetailV3_allOf_plans:
      properties:
        nickname:
          description: >-
            Optional display name for the plan provided by the customer to help
            differentiate multiple plans
          type: string
        servicePointIds:
          description: >-
            An array of servicePointIds, representing NMIs, that this account is
            linked to
          items:
            type: string
          type: array
        planOverview:
          $ref: '#/components/schemas/EnergyAccountV2_allOf_planOverview'
        planDetail:
          $ref: '#/components/schemas/EnergyAccountDetailV3_allOf_planDetail'
        authorisedContacts:
          description: >-
            An array of additional contacts that are authorised to act on this
            account
          items:
            $ref: >-
              #/components/schemas/EnergyAccountDetailV3_allOf_authorisedContacts
          type: array
      required:
        - servicePointIds
      type: object
      x-conditional:
        - planOverview
        - planDetail
    EnergyAccountV2_allOf_planOverview:
      description: Mandatory if openStatus is OPEN
      properties:
        displayName:
          description: The name of the plan if one exists
          type: string
        startDate:
          description: The start date of the applicability of this plan
          type: string
          x-cds-type: DateString
        endDate:
          description: The end date of the applicability of this plan
          type: string
          x-cds-type: DateString
      required:
        - startDate
      type: object
    EnergyAccountDetailV3_allOf_planDetail:
      description: >-
        Detail on the plan applicable to this account. Mandatory if openStatus
        is OPEN
      properties:
        fuelType:
          description: The fuel types covered by the plan
          enum:
            - ELECTRICITY
            - GAS
            - DUAL
          type: string
        isContingentPlan:
          default: false
          description: >-
            Flag that indicates that the plan is contingent on the customer
            taking up an alternate fuel plan from the same retailer (for
            instance, if the fuelType is ELECTRICITY then a GAS plan from the
            same retailer must be taken up). Has no meaning if the plan has a
            fuelType of DUAL. If absent the value is assumed to be false
          type: boolean
        meteringCharges:
          description: Charges for metering included in the plan
          items:
            $ref: '#/components/schemas/EnergyPlanDetailV2_allOf_meteringCharges'
          type: array
        gasContract:
          $ref: '#/components/schemas/EnergyPlanContractV2'
        electricityContract:
          $ref: '#/components/schemas/EnergyPlanContractV2'
      required:
        - fuelType
      type: object
      x-conditional:
        - gasContract
        - electricityContract
    EnergyAccountDetailV3_allOf_authorisedContacts:
      properties:
        firstName:
          description: >-
            For people with single names this field need not be present. The
            single name should be in the lastName field
          type: string
        lastName:
          description: For people with single names the single name should be in this field
          type: string
        middleNames:
          description: Field is mandatory but array may be empty
          items:
            type: string
          type: array
        prefix:
          description: >-
            Also known as title or salutation. The prefix to the name (e.g. Mr,
            Mrs, Ms, Miss, Sir, etc)
          type: string
        suffix:
          description: Used for a trailing suffix to the name (e.g. Jr)
          type: string
      required:
        - lastName
      type: object
    EnergyPlanDetailV2_allOf_meteringCharges:
      properties:
        displayName:
          description: Display name of the charge
          type: string
        description:
          description: Description of the charge
          type: string
        minimumValue:
          description: >-
            Minimum value of the charge if the charge is a range or the absolute
            value of the charge if no range is specified
          type: string
          x-cds-type: AmountString
        maximumValue:
          description: The upper limit of the charge if the charge could occur in a range
          type: string
          x-cds-type: AmountString
        period:
          description: >-
            The charges that occur on a schedule indicates the frequency.
            Formatted according to [ISO 8601
            Durations](https://en.wikipedia.org/wiki/ISO_8601#Durations)
            (excludes recurrence syntax)
          type: string
          x-cds-type: ExternalRef
      required:
        - displayName
        - minimumValue
      type: object
    EnergyPlanContractV2:
      properties:
        additionalFeeInformation:
          description: >-
            Free text field containing additional information of the fees for
            this contract
          type: string
        pricingModel:
          description: >-
            The pricing model for the contract.  Contracts for gas must use
            SINGLE_RATE.  Note that the detail for the enumeration values
            are:<ul><li>**SINGLE_RATE** - all energy usage is charged at a
            single unit rate no matter when it is consumed. Multiple unit rates
            may exist that correspond to varying volumes of usage i.e. a ‘block’
            or ‘step’ tariff (first 50kWh @ X cents, next 50kWh at Y cents
            etc.</li><li>**SINGLE_RATE_CONT_LOAD** - as above, but with an
            additional, separate unit rate charged for all energy usage from a
            controlled load i.e. separately metered appliance like hot water
            service, pool pump etc.</li><li>**TIME_OF_USE** - energy usage is
            charged at unit rates that vary dependent on time of day and day of
            week that the energy is consumed</li><li>**TIME_OF_USE_CONT_LOAD** -
            as above, but with an additional, separate unit rate charged for all
            energy usage from a controlled load i.e. separately metered
            appliance like hot water service, pool pump
            etc.</li><li>**FLEXIBLE** - energy usage is charged at unit rates
            that vary based on external factors</li><li>**FLEXIBLE_CONT_LOAD** -
            as above, but with an additional, separate unit rate charged for all
            energy usage from a controlled load i.e. separately metered
            appliance like hot water service, pool pump etc.</li><li>**QUOTA** -
            all energy usage is charged at a single fixed rate, up to a
            specified usage quota/allowance. All excess usage beyond the
            allowance is then charged at a single unit rate (may not be the best
            way to explain it but it is essentially a ‘subscription’ or telco
            style product i.e. $50/month for up to 150kWh included
            usage</li></ul>
          enum:
            - SINGLE_RATE
            - SINGLE_RATE_CONT_LOAD
            - TIME_OF_USE
            - TIME_OF_USE_CONT_LOAD
            - FLEXIBLE
            - FLEXIBLE_CONT_LOAD
            - QUOTA
          type: string
        timeZone:
          description: >-
            Required if pricingModel is set to TIME_OF_USE.  Defines the time
            zone to use for calculation of the time of use thresholds. Defaults
            to AEST if absent
          enum:
            - LOCAL
            - AEST
          type: string
        isFixed:
          description: Flag indicating whether prices are fixed or variable
          type: boolean
        variation:
          description: >-
            Free text description of price variation policy and conditions for
            the contract.  Mandatory if `isFixed` is false
          type: string
        onExpiryDescription:
          description: >-
            Free text field that describes what will occur on or prior to expiry
            of the fixed contract term or benefit period
          type: string
        paymentOption:
          description: Payment options for this contract
          items:
            enum:
              - PAPER_BILL
              - CREDIT_CARD
              - DIRECT_DEBIT
              - BPAY
              - OTHER
            type: string
          type: array
        intrinsicGreenPower:
          $ref: '#/components/schemas/EnergyPlanContractV2_intrinsicGreenPower'
        controlledLoad:
          description: >-
            Required if pricing model is SINGLE_RATE_CONT_LOAD or
            TIME_OF_USE_CONT_LOAD or FLEXIBLE_CONT_LOAD
          items:
            properties:
              displayName:
                description: A display name for the controlled load
                type: string
              rateBlockUType:
                description: 'Specifies the type of controlloed load rate '
                enum:
                  - singleRate
                  - timeOfUseRates
                type: string
              startDate:
                description: >-
                  Optional start date of the application of the controlled load
                  rate
                type: string
                x-cds-type: DateString
              endDate:
                description: >-
                  Optional end date of the application of the controlled load
                  rate
                type: string
                x-cds-type: DateString
              singleRate:
                description: >-
                  Object representing a single controlled load rate.  Required
                  if rateBlockUType is singleRate
                properties:
                  displayName:
                    description: Display name of the controlled load rate
                    type: string
                  description:
                    description: Description of the controlled load rate
                    type: string
                  dailySupplyCharge:
                    description: >-
                      The daily supply charge (exclusive of GST) for this
                      controlled load tier
                    type: string
                    x-cds-type: AmountString
                  rates:
                    description: Array of controlled load rates in order of usage volume
                    items:
                      properties:
                        unitPrice:
                          description: >-
                            Unit price of usage per  measure unit (exclusive of
                            GST)
                          type: string
                          x-cds-type: AmountString
                        measureUnit:
                          description: >-
                            The measurement unit of rate. Assumed to be KWH if
                            absent
                          enum:
                            - KWH
                            - KVA
                            - KVAR
                            - KVARH
                            - KW
                            - DAYS
                            - METER
                            - MONTH
                          type: string
                        volume:
                          description: >-
                            Volume in kWh that this rate applies to.  Only
                            applicable for ‘stepped’ rates where different rates
                            apply for different volumes of usage in a period
                          type: number
                      required:
                        - unitPrice
                      type: object
                    type: array
                required:
                  - displayName
                  - rates
                type: object
              timeOfUseRates:
                description: >-
                  Array of objects representing time of use rates.  Required if
                  rateBlockUType is timeOfUseRates
                items:
                  properties:
                    displayName:
                      description: Display name of the controlled load rate
                      type: string
                    description:
                      description: Description of the controlled load rate
                      type: string
                    dailySupplyCharge:
                      description: >-
                        The daily supply charge (exclusive of GST) for this
                        controlled load tier
                      type: string
                      x-cds-type: AmountString
                    rates:
                      description: Array of controlled load rates in order of usage volume
                      items:
                        properties:
                          unitPrice:
                            description: >-
                              Unit price of usage per  measure unit (exclusive
                              of GST)
                            type: string
                            x-cds-type: AmountString
                          measureUnit:
                            description: >-
                              The measurement unit of rate. Assumed to be KWH if
                              absent
                            enum:
                              - KWH
                              - KVA
                              - KVAR
                              - KVARH
                              - KW
                              - DAYS
                              - METER
                              - MONTH
                            type: string
                          volume:
                            description: >-
                              Volume in kWh that this rate applies to.  Only
                              applicable for ‘stepped’ rates where different
                              rates apply for different volumes of usage in a
                              period
                            type: number
                        required:
                          - unitPrice
                        type: object
                      type: array
                    timeOfUse:
                      description: Array of times of use.
                      items:
                        properties:
                          days:
                            description: The days that the rate applies to
                            items:
                              enum:
                                - SUN
                                - MON
                                - TUE
                                - WED
                                - THU
                                - FRI
                                - SAT
                                - PUBLIC_HOLIDAYS
                              type: string
                            type: array
                          startTime:
                            description: >-
                              The beginning of the time period per day for which
                              the controlled load rate applies. Required if
                              endTime provided
                            type: string
                            x-cds-type: TimeString
                          endTime:
                            description: >-
                              The end of the time period per day for which the
                              controlled load rate applies. Required if
                              startTime provided
                            type: string
                            x-cds-type: TimeString
                          additionalInfo:
                            description: >-
                              Display text providing more information on the
                              contrlled load, for e.g. controlled load
                              availability if specific day/time is not known.
                              Required if startTime and endTime absent or if
                              additionalInfoUri provided
                            type: string
                          additionalInfoUri:
                            description: >-
                              Optional link to additional information regarding
                              the controlled load
                            type: string
                            x-cds-type: URIString
                        type: object
                        x-conditional:
                          - startTime
                          - endTime
                          - additionalInfo
                      type: array
                    type:
                      description: The type of usage that the rate applies to
                      enum:
                        - PEAK
                        - OFF_PEAK
                        - SHOULDER
                        - SOLAR_SPONGE
                      type: string
                  required:
                    - displayName
                    - rates
                    - timeOfUse
                    - type
                  type: object
                type: array
            required:
              - displayName
              - rateBlockUType
            type: object
            x-conditional:
              - singleRate
              - timeOfUseRates
          type: array
        incentives:
          description: Optional list of incentives available for the contract
          items:
            properties:
              displayName:
                description: The display name of the incentive
                type: string
              description:
                description: The description of the incentive
                type: string
              category:
                description: The type of the incentive
                enum:
                  - GIFT
                  - ACCOUNT_CREDIT
                  - OTHER
                type: string
              eligibility:
                description: >-
                  A display message outlining an eligibility criteria that may
                  apply
                type: string
            required:
              - category
              - description
              - displayName
            type: object
          type: array
        discounts:
          description: Optional list of discounts available for the contract
          items:
            properties:
              displayName:
                description: The display name of the discount
                type: string
              description:
                description: The description of the discount
                type: string
              type:
                description: The type of the discount
                enum:
                  - CONDITIONAL
                  - GUARANTEED
                  - OTHER
                type: string
              category:
                description: >-
                  The type of the discount.  Mandatory if the discount type is
                  CONDITIONAL
                enum:
                  - PAY_ON_TIME
                  - DIRECT_DEBIT
                  - GUARANTEED_DISCOUNT
                  - OTHER
                type: string
              endDate:
                description: >-
                  Optional end date for the discount after which the discount is
                  no longer available
                type: string
                x-cds-type: DateString
              methodUType:
                description: The method of calculation of the discount
                enum:
                  - percentOfBill
                  - percentOfUse
                  - fixedAmount
                  - percentOverThreshold
                type: string
              percentOfBill:
                description: Required if methodUType is percentOfBill
                properties:
                  rate:
                    description: The rate of the discount applied to the bill amount
                    type: string
                    x-cds-type: RateString
                required:
                  - rate
                type: object
              percentOfUse:
                description: Required if methodUType is percentOfUse
                properties:
                  rate:
                    description: The rate of the discount applied to the usageamount
                    type: string
                    x-cds-type: RateString
                required:
                  - rate
                type: object
              fixedAmount:
                description: Required if methodUType is fixedAmount
                properties:
                  amount:
                    description: The amount of the discount
                    type: string
                    x-cds-type: AmountString
                required:
                  - amount
                type: object
              percentOverThreshold:
                description: Required if methodUType is percentOverThreshold
                properties:
                  rate:
                    description: The rate of the discount over the usage amount
                    type: string
                    x-cds-type: RateString
                  usageAmount:
                    description: >-
                      The usage amount threshold above which the discount
                      applies
                    type: string
                    x-cds-type: AmountString
                required:
                  - rate
                  - usageAmount
                type: object
            required:
              - displayName
              - methodUType
              - type
            type: object
            x-conditional:
              - percentOfBill
              - percentOfUse
              - fixedAmount
              - percentOverThreshold
          type: array
        greenPowerCharges:
          description: Optional list of charges applicable to green power
          items:
            properties:
              displayName:
                description: The display name of the charge
                type: string
              description:
                description: The description of the charge
                type: string
              scheme:
                description: The applicable green power scheme
                enum:
                  - GREENPOWER
                  - OTHER
                type: string
              type:
                description: The type of charge
                enum:
                  - FIXED_PER_DAY
                  - FIXED_PER_WEEK
                  - FIXED_PER_MONTH
                  - FIXED_PER_UNIT
                  - PERCENT_OF_USE
                  - PERCENT_OF_BILL
                type: string
              tiers:
                description: >-
                  Array of charge tiers based on the percentage of green power
                  used for the period implied by the type.  Array is in order of
                  increasing percentage of green power
                items:
                  properties:
                    percentGreen:
                      description: >-
                        The upper percentage of green power used applicable for
                        this tier
                      type: string
                      x-cds-type: RateString
                    rate:
                      description: >-
                        The rate of the charge if the type implies the
                        application of a rate
                      type: string
                      x-cds-type: RateString
                    amount:
                      description: >-
                        The amount of the charge if the type implies the
                        application of a fixed amount
                      type: string
                      x-cds-type: AmountString
                  required:
                    - percentGreen
                  type: object
                  x-conditional:
                    - rate
                    - amount
                type: array
            required:
              - displayName
              - scheme
              - tiers
              - type
            type: object
          type: array
        eligibility:
          description: Eligibility restrictions or requirements
          items:
            properties:
              type:
                description: >
                  The type of the eligibility restriction.

                  The CONTINGENT_PLAN value indicates that the plan is
                  contingent on the customer taking up an alternate fuel plan
                  from the same retailer (for instance, if the fuelType is
                  ELECTRICITY then a GAS plan from the same retailer must be
                  taken up)
                enum:
                  - EXISTING_CUST
                  - EXISTING_POOL
                  - EXISTING_SOLAR
                  - EXISTING_BATTERY
                  - EXISTING_SMART_METER
                  - EXISTING_BASIC_METER
                  - SENIOR_CARD
                  - SMALL_BUSINESS
                  - NO_SOLAR_FIT
                  - NEW_CUSTOMER
                  - ONLINE_ONLY
                  - REQ_EQUIP_SUPPLIER
                  - THIRD_PARTY_ONLY
                  - SPORT_CLUB_MEMBER
                  - ORG_MEMBER
                  - SPECIFIC_LOCATION
                  - MINIMUM_USAGE
                  - LOYALTY_MEMBER
                  - GROUP_BUY_MEMBER
                  - CONTINGENT_PLAN
                  - OTHER
                type: string
              information:
                description: >-
                  Information of the eligibility restriction specific to the
                  type of the restriction
                type: string
              description:
                description: A description of the eligibility restriction
                type: string
            required:
              - information
              - type
            type: object
          type: array
        fees:
          description: An array of fees applicable to the plan
          items:
            properties:
              type:
                description: The type of the fee
                enum:
                  - EXIT
                  - ESTABLISHMENT
                  - LATE_PAYMENT
                  - DISCONNECTION
                  - DISCONNECT_MOVE_OUT
                  - DISCONNECT_NON_PAY
                  - RECONNECTION
                  - CONNECTION
                  - PAYMENT_PROCESSING
                  - CC_PROCESSING
                  - CHEQUE_DISHONOUR
                  - DD_DISHONOUR
                  - MEMBERSHIP
                  - CONTRIBUTION
                  - PAPER_BILL
                  - OTHER
                type: string
              term:
                description: The term of the fee
                enum:
                  - FIXED
                  - 1_YEAR
                  - 2_YEAR
                  - 3_YEAR
                  - 4_YEAR
                  - 5_YEAR
                  - PERCENT_OF_BILL
                  - ANNUAL
                  - DAILY
                  - WEEKLY
                  - MONTHLY
                  - BIANNUAL
                  - VARIABLE
                type: string
              amount:
                description: The fee amount. Required if term is not PERCENT_OF_BILL
                type: string
                x-cds-type: AmountString
              rate:
                description: The fee rate. Required if term is PERCENT_OF_BILL
                type: string
                x-cds-type: RateString
              description:
                description: A description of the fee
                type: string
            required:
              - term
              - type
            type: object
            x-conditional:
              - amount
              - rate
          type: array
        solarFeedInTariff:
          description: Array of feed in tariffs for solar power
          items:
            properties:
              displayName:
                description: The name of the tariff
                type: string
              description:
                description: A description of the tariff
                type: string
              startDate:
                description: The start date of the application of the feed in tariff
                type: string
                x-cds-type: DateString
              endDate:
                description: The end date of the application of the feed in tariff
                type: string
                x-cds-type: DateString
              scheme:
                description: The applicable scheme
                enum:
                  - PREMIUM
                  - OTHER
                type: string
              payerType:
                description: The type of the payer
                enum:
                  - GOVERNMENT
                  - RETAILER
                type: string
              tariffUType:
                description: The type of the payer
                enum:
                  - singleTariff
                  - timeVaryingTariffs
                type: string
              singleTariff:
                description: >-
                  Represents a constant tariff.  Mandatory if tariffUType is set
                  to singleTariff
                properties:
                  rates:
                    description: Array of feed in rates
                    items:
                      properties:
                        unitPrice:
                          description: >-
                            Unit price of usage per measure unit (exclusive of
                            GST)
                          type: string
                          x-cds-type: AmountString
                        measureUnit:
                          description: >-
                            The measurement unit of rate. Assumed to be KWH if
                            absent
                          enum:
                            - KWH
                            - KVA
                            - KVAR
                            - KVARH
                            - KW
                            - DAYS
                            - METER
                            - MONTH
                          type: string
                        volume:
                          description: >-
                            Volume that this rate applies to. Only applicable
                            for ‘stepped’ rates where different rates apply for
                            different volumes of usage in a period
                          type: number
                      required:
                        - unitPrice
                      type: object
                    type: array
                required:
                  - rates
                type: object
              timeVaryingTariffs:
                description: >-
                  Represents a tariff based on time.  Mandatory if tariffUType
                  is set to timeVaryingTariffs
                properties:
                  type:
                    description: >-
                      The type of the charging time period. If absent applies to
                      all periods
                    enum:
                      - PEAK
                      - OFF_PEAK
                      - SHOULDER
                    type: string
                  rates:
                    description: Array of feed in rates
                    items:
                      properties:
                        unitPrice:
                          description: >-
                            Unit price of usage per measure unit (exclusive of
                            GST)
                          type: string
                          x-cds-type: AmountString
                        measureUnit:
                          description: >-
                            The measurement unit of rate. Assumed to be KWH if
                            absent
                          enum:
                            - KWH
                            - KVA
                            - KVAR
                            - KVARH
                            - KW
                            - DAYS
                            - METER
                            - MONTH
                          type: string
                        volume:
                          description: >-
                            Volume that this rate applies to. Only applicable
                            for ‘stepped’ rates where different rates apply for
                            different volumes of usage in a period
                          type: number
                      required:
                        - unitPrice
                      type: object
                    type: array
                  timeVariations:
                    description: Array of time periods for which this tariff is applicable
                    items:
                      properties:
                        days:
                          description: >-
                            The days that the tariff applies to. At least one
                            entry required
                          items:
                            enum:
                              - SUN
                              - MON
                              - TUE
                              - WED
                              - THU
                              - FRI
                              - SAT
                              - PUBLIC_HOLIDAYS
                            type: string
                          type: array
                        startTime:
                          description: >-
                            The beginning of the time period per day for which
                            the tariff applies.  If absent assumes start of day
                            (ie. midnight)
                          type: string
                          x-cds-type: TimeString
                        endTime:
                          description: >-
                            The end of the time period per day for which the
                            tariff applies.  If absent assumes end of day (ie.
                            one second before midnight)
                          type: string
                          x-cds-type: TimeString
                      required:
                        - days
                      type: object
                    type: array
                required:
                  - timeVariations
                type: object
            required:
              - displayName
              - payerType
              - scheme
              - tariffUType
            type: object
            x-conditional:
              - singleTariff
              - timeVaryingTariffs
          type: array
        tariffPeriod:
          description: Array of tariff periods
          items:
            properties:
              type:
                description: Type of charge. Assumed to be other if absent
                enum:
                  - ENVIRONMENTAL
                  - REGULATED
                  - NETWORK
                  - METERING
                  - RETAIL_SERVICE
                  - RCTI
                  - OTHER
                type: string
              displayName:
                description: The name of the tariff period
                type: string
              startDate:
                description: >-
                  The start date of the tariff period in a calendar year. 
                  Formatted in mm-dd format
                type: string
              endDate:
                description: >-
                  The end date of the tariff period in a calendar year. 
                  Formatted in mm-dd format
                type: string
              dailySupplyCharges:
                description: >-
                  The amount of access charge for the tariff period, in dollars
                  per day exclusive of GST.
                type: string
                x-cds-type: AmountString
              timeZone:
                description: >-
                  Specifies the charge specific time zone for calculation of the
                  time of use thresholds. If absent, timezone value in
                  EnergyPlanContract is assumed.
                enum:
                  - LOCAL
                  - AEST
                type: string
              rateBlockUType:
                description: Specifies the type of rate applicable to this tariff period
                enum:
                  - singleRate
                  - timeOfUseRates
                  - demandCharges
                type: string
              singleRate:
                description: >-
                  Object representing a single rate.  Required if rateBlockUType
                  is singleRate
                properties:
                  displayName:
                    description: Display name of the rate
                    type: string
                  description:
                    description: Description of the rate
                    type: string
                  generalUnitPrice:
                    description: >-
                      The block rate (unit price) for any usage above the
                      included fixed usage, in dollars per kWh inclusive of
                      GST.  Only required if pricingModel field is ‘QUOTA’
                    type: string
                    x-cds-type: AmountString
                  rates:
                    description: Array of controlled load rates in order of usage volume
                    items:
                      properties:
                        unitPrice:
                          description: >-
                            Unit price of usage per measure unit (exclusive of
                            GST)
                          type: string
                          x-cds-type: AmountString
                        measureUnit:
                          description: >-
                            The measurement unit of rate. Assumed to be KWH if
                            absent
                          enum:
                            - KWH
                            - KVA
                            - KVAR
                            - KVARH
                            - KW
                            - DAYS
                            - METER
                            - MONTH
                          type: string
                        volume:
                          description: >-
                            Volume in kWh that this rate applies to.  Only
                            applicable for ‘stepped’ rates where different rates
                            apply for different volumes of usage in a period
                          type: number
                      required:
                        - unitPrice
                      type: object
                    type: array
                  period:
                    description: >-
                      Usage period for which the block rate applies. Formatted
                      according to [ISO 8601
                      Durations](https://en.wikipedia.org/wiki/ISO_8601#Durations)
                      (excludes recurrence syntax)
                    type: string
                    x-cds-type: ExternalRef
                required:
                  - displayName
                  - rates
                type: object
                x-conditional:
                  - generalUnitPrice
              timeOfUseRates:
                description: >-
                  Array of objects representing time of use rates.  Required if
                  rateBlockUType is timeOfUseRates
                items:
                  properties:
                    displayName:
                      description: Display name of the rate
                      type: string
                    description:
                      description: Description of the rate
                      type: string
                    rates:
                      description: Array of controlled load rates in order of usage volume
                      items:
                        properties:
                          unitPrice:
                            description: >-
                              Unit price of usage per  measure unit (exclusive
                              of GST)
                            type: string
                            x-cds-type: AmountString
                          measureUnit:
                            description: >-
                              The measurement unit of rate. Assumed to be KWH if
                              absent
                            enum:
                              - KWH
                              - KVA
                              - KVAR
                              - KVARH
                              - KW
                              - DAYS
                              - METER
                              - MONTH
                            type: string
                          volume:
                            description: >-
                              Volume in kWh that this rate applies to.  Only
                              applicable for ‘stepped’ rates where different
                              rates apply for different volumes of usage in a
                              period
                            type: number
                        required:
                          - unitPrice
                        type: object
                      type: array
                    timeOfUse:
                      description: Array of times of use
                      items:
                        properties:
                          days:
                            description: The days that the rate applies to
                            items:
                              enum:
                                - SUN
                                - MON
                                - TUE
                                - WED
                                - THU
                                - FRI
                                - SAT
                                - PUBLIC_HOLIDAYS
                              type: string
                            type: array
                          startTime:
                            description: Start of the period
                            type: string
                            x-cds-type: TimeString
                          endTime:
                            description: End of the period
                            type: string
                            x-cds-type: TimeString
                        required:
                          - days
                          - endTime
                          - startTime
                        type: object
                      type: array
                    type:
                      description: The type of usage that the rate applies to
                      enum:
                        - PEAK
                        - OFF_PEAK
                        - SHOULDER
                        - SHOULDER1
                        - SHOULDER2
                      type: string
                  required:
                    - displayName
                    - rates
                    - timeOfUse
                    - type
                  type: object
                type: array
              demandCharges:
                description: >-
                  Array of demand charges.  Required if rateBlockUType is
                  demandCharges
                items:
                  properties:
                    displayName:
                      description: Display name of the charge
                      type: string
                    description:
                      description: Description of the charge
                      type: string
                    amount:
                      description: The charge amount per  measure unit exclusive of GST
                      type: string
                      x-cds-type: AmountString
                    measureUnit:
                      description: >-
                        The measurement unit of charge amount. Assumed to be KWH
                        if absent
                      enum:
                        - KWH
                        - KVA
                        - KVAR
                        - KVARH
                        - KW
                        - DAYS
                        - METER
                        - MONTH
                      type: string
                    startTime:
                      description: Start of the period
                      type: string
                      x-cds-type: TimeString
                    endTime:
                      description: End of the period
                      type: string
                      x-cds-type: TimeString
                    days:
                      description: The days that the demand tariff applies to
                      items:
                        enum:
                          - SUN
                          - MON
                          - TUE
                          - WED
                          - THU
                          - FRI
                          - SAT
                          - PUBLIC_HOLIDAYS
                        type: string
                      type: array
                    minDemand:
                      description: >-
                        Minimum demand for this demand tariff in kW.  If absent
                        then 0 is assumed
                      type: string
                      x-cds-type: AmountString
                    maxDemand:
                      description: >-
                        Maximum demand for this demand tariff in kW.  If
                        present, must be higher than the value of the minDemand
                        field
                      type: string
                      x-cds-type: AmountString
                    measurementPeriod:
                      description: Application period for the demand tariff
                      enum:
                        - DAY
                        - MONTH
                        - TARIFF_PERIOD
                      type: string
                    chargePeriod:
                      description: Charge period for the demand tariff
                      enum:
                        - DAY
                        - MONTH
                        - TARIFF_PERIOD
                      type: string
                  required:
                    - amount
                    - chargePeriod
                    - displayName
                    - endTime
                    - measurementPeriod
                    - startTime
                  type: object
                type: array
            required:
              - displayName
              - endDate
              - rateBlockUType
              - startDate
            type: object
            x-conditional:
              - singleRate
              - timeOfUseRates
              - demandCharges
          type: array
      required:
        - isFixed
        - paymentOption
        - pricingModel
        - tariffPeriod
      type: object
      x-conditional:
        - timeZone
        - variation
        - controlledLoad
    EnergyPlanContractV2_intrinsicGreenPower:
      description: >-
        Describes intrinsic green power for the plan.  If present then the plan
        includes a percentage of green power in the base plan. Should not be
        present for gas contracts
      properties:
        greenPercentage:
          description: Percentage of green power intrinsically included in the plan
          type: string
          x-cds-type: RateString
      required:
        - greenPercentage
      type: object
  responses:
    responseErrorCustomerIdNotFound:
      description: The customer ID in the URL path is invalid or not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GenericError'
            example:
              error: Customer not found
  securitySchemes:
    bearerAuth:
      description: >
        The Fiskil Data Provider will include a self-signed JWT as a Bearer
        token in the `Authorization` header.

        You should verify this JWT using the JWKS URL you can find for your Data
        Provider instance in the Fiskil

        Console. To verify the JWT you **must**:
          * Verify the signature
          * Ensure the token has not expired by checking the `exp` claim
          * The `sub` and `iss` claims are your data provider subdomain
          * The `aud` claim is the URI of the resource being requested (excluding any query parameters)
          * The `jti` value is unique
        For further detail on security and authentication refer to our
        [Authentication](/docs/get-started/authentication) documentation
      type: http
      scheme: bearer
      bearerFormat: JWT

````